#!/usr/bin/env bash

DIR="$(dirname "$(readlink -e "${0}")")"
CONFIG_FILE="${DIR}/../config"
SYSINFO_FILE="${1}"
LOG_FILE="${2}"

cleanup() {
    # Rectifications in case the SIGINT happens during the network bench
    ssh -l root ${MS_IP}   -- "pkill -f dd"
    ssh -l root ${LIVE_IP} -- "pkill -f nc"
    ssh -l root ${LIVE_IP} -- "systemctl start nginx"

    exit 1
}

trap cleanup SIGINT

# Loading global functions
source "${DIR}/../lib/functions.sh"

# Configuration loading
if [[ -e "${CONFIG_FILE}" ]]; then
    source "${CONFIG_FILE}"
else
    echo "The configuration file \"${CONFIG_FILE}\" is missing"
    exit 1
fi

get_stream_infos "${MS_IP}" "${MS_INSTANCE}"
get_system_config "${MS_IP}" "Mediaserver"
get_system_config "${LIVE_IP}" "Live server"
get_net_bandwidth "${MS_IP}" "${LIVE_IP}"

exit 0
